WITH dupeELH AS 
	(SELECT RecordID, row_number() OVER 
		(PARTITION BY RecordID ORDER BY RecordID) AS nr
     FROM entrylogarchive
     )
    DELETE
    FROM dupeELH
    WHERE nr > 1
GO
WITH dupeLSA AS 
	(SELECT StatusID, row_number() OVER 
		(PARTITION BY StatusID ORDER BY StatusID) AS nr
     FROM LockStatusArchive
     )
    DELETE
    FROM dupeLSA
    WHERE nr > 1
GO